TAGPENDING.DE(1)

BEZEICHNUNG
tagpending - markiert Fehler, die im neuesten Changelog geschlossen werden sollen, als anstehend.

ÜBERSICHT
tagpending [Optionen]

BESCHREIBUNG
tagpending wertet debian/changelog aus, um zu bestimmen, welche Fehler geschlossen würden, falls das Paket hochgeladen wird. Jeder Fehler wird dann mittels bts(1) als anstehend (pending) markiert, falls er es nicht bereits ist.

OPTIONEN

-n, --noact
    prüft, ob irgendwelche Fehler ein Markieren erfordern, markiert dann jedoch nicht.

-s, --silent
    gibt keine Nachrichten aus.

-v, --verbose
    führt der Reihe nach jeden geprüften und markierten Fehler auf.

-f, --force
    fragt nicht die Fehlerdatenbank ab, markiert aber (erneut) alle im Changelog geschlossenen Fehler.

--comments
    fügt der erzeugten E-Mail die Changelog-Kopfzeile und die Einträge, die sich auf die markierten Fehler beziehen, als Kommentare hinzu. Dies ist die Voreinstellung.

    Beachten Sie, dass die Kopfzeilenausgabe, wenn sie in Kombination mit --to benutzt wird, immer die der aktuellsten Version sein wird.

--no-comments
    Die erzeugte E-Mail beinhaltet keine Changelog-Einträge.

-c, --confirm
    markiert Fehler sowohl als bestätigt (confirmed) als auch als anstehend (pending).

-t, --to Version
    wertet Changelogs für alle Versionen aus, die echt größer als Version sind.

    entspricht der Option -v von dpkg-parsechangelog.

-i, --interactive
    zeigt die Nachricht, die an die Fehlerdatenbank gesandt würde, und fragt, wenn nicht --noact verwendet wurde, nach einer Bestätigung, bevor sie versandt wird.

-w, --wnpp
    prüft für jeden Fehler, der nicht zum aktuellen Paket zu gehören scheint, ob er gegen WNPP eingereicht wurde. Falls dies so ist, wird er markiert. Dies ermöglicht z.B., dass ITAs und ITPs markiert werden, die durch ein Hochladen geschlossen werden.

SIEHE AUCH
bts(1) und dpkg-parsechangelog(1)

COPYRIGHT
Dieses Programm unterliegt dem Copyright 2008 von Adam D. Barratt <adam@adam-barratt.org.uk>.

Das Shell-Skript Tagpending, auf dem dieses Programm basiert, unterliegt dem Copyright 2004 von Joshua Kwan <joshk@triplehelix.org> mit Änderungen, die dem Copyright 2004-2007 ihrer jeweiligen Autoren unterliegen.

Dieses Programm wurde unter den Bedingungen der GPL lizensiert, entweder Version 2 der Lizenz oder (nach Ihrer Wahl) irgendeiner späteren Version.